


/* Table of Contents
==================================================
    #Base 960 Grid
    #Tablet (Portrait)
    #Mobile (Portrait)
    #Mobile (Landscape)
    #Clearing */


/* NEW CSS GRID I JUST LEARNED POGCHAMP
================================================== */
    .grid-container {
        margin: 5em;
        display: grid;
        grid-template-columns: 
            /*1fr 1fr 1fr 1fr 1fr*/
            /*repeat(5, 1fr)*/
            repeat(auto-fit, minmax(200px, 1fr))
        ;
        grid-template-rows: ;

        gap: 1em;
        /*grid-template-areas: 
            "box-1 box-1 box-2 box-2 box-3"
            "box-4 box-4 box-5 box-5 box-3"
            "box-6 box-7 box-8 box-9 box-10"
            "box-11 box-12 box-13"
        ;*/
        justify-items: left;
        align-items: start;
        grid-auto-flow: dense;

    }
    .bentoshit {
        margin: auto;
        display: grid;
        grid-template-columns: 200px 200px 200px 200px 200px;
        grid-template-rows: 200px 200px 200px 200px;
        gap: 1em;
        grid-template-areas: 
            "thing-1 thing-1 thing-2 thing-2 thing-3"
            "thing-4 thing-4 thing-5 thing-5 thing-3"
            "thing-6 thing-7 thing-8 thing-9 thing-10"
        ;
    }
    .thing {
        background-color: blueviolet;
    }


    .wideimg {
        grid-column-end: span 2;
        grid-row-end: ;
    }
    .tallimg {
        grid-column-end: ;
        grid-row-end: span 2;
    }
    .squrimg {
        grid-column-end: ;
        grid-row-end: span ;
    }
    .item {
        width: ;
        height: ;
        max-width: ;
        padding: ;
        padding-top: ;
        background-color: ;
        padding-bottom: ;
        object-fit: ;

        border-top: 1px solid #ddd;
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-border-radius: 5px ;
        -moz-border-radius: 5px ;
        border-radius: 5px ;
        -webkit-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        -moz-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        overflow: hidden !important;
    }

    .grid-containerB {
        
        display: grid;
        width: 60%;
        background-color: darkcyan;
        grid-template-columns:
            repeat(auto-fit, minmax(200px, 1fr))
        ;
        margin: 1em;
        grid-auto-rows: auto, 1fr;

        gap: 1em;
     
        justify-items: left;
        align-items: start;
        grid-auto-flow: dense;

    }
    .itemB {
        background-color: ;
        width: auto;
        height: 100%;
        max-height: ;

        border-top: 1px solid #ddd;
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-border-radius: 5px ;
        -moz-border-radius: 5px ;
        border-radius: 5px ;
        -webkit-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        -moz-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        overflow: hidden !important;
    }
    .wideimgB {
        grid-column-end: span 3;
        grid-row-end: ;
    }
    .tallimgB {
        grid-column-end: span 2;
        grid-row-end: span ;
    }
    .squrimgB {
        grid-column-end: span 2;
        grid-row-end: span;
    }
/* NEW CSS FLEXBOX I JUST LEARNED POGCHAMP
================================================== */
    .flexbox-container {
        margin: 5em;
        height: ;
        display: flex;
        flex-wrap: wrap;
        align-content: flex-start;
        gap: 1em;
        justify-content: start;
        flex-direction: ;
    }
    .flexitem {
        flex-grow: ;
        flex: ;
        max-height: 350px;
        width: auto;
        max-height: ;
        /*border-top: 1px solid #ddd;
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;*/
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-border-radius: 5px ;
        -moz-border-radius: 5px ;
        border-radius: 5px ;
        /*-webkit-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        -moz-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        overflow: hidden !important;*/
    }

    .flexbox-containerB {
        flex-direction: row;
        margin: 5em;
        height: ;
        display: flex;
        flex-wrap: wrap;
        align-content: flex-start;
        gap: 1em;
        justify-content: start;
        flex-direction: ;
    }
    .flexitemB {
        flex-grow: ;
        flex: ;
        max-height: 350px;
        width: 350px;
        max-height: ;
        border-top: 1px solid #ddd;
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-border-radius: 5px ;
        -moz-border-radius: 5px ;
        border-radius: 5px ;
        -webkit-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        -moz-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        overflow: hidden !important;
    }

/* #Base 960 Grid
================================================== */

    .container                                  { position: relative; width: 960px; margin: 0 auto; padding: 0; }
    .container .column,
    .container .columns                         { float: left; display: inline; margin-left: 10px; margin-right: 10px; }
    .row                                        { margin-bottom: 20px; }

    /* Nested Column Classes */
    .column.alpha, .columns.alpha               { margin-left: 0; }
    .column.omega, .columns.omega               { margin-right: 0; }

    /* Base Grid */
    .container .one.column,
    .container .one.columns                     { width: 40px;  }
    .container .two.columns                     { width: 100px; }
    .container .three.columns                   { width: 160px; }
    .container .four.columns                    { width: 220px; }
    .container .box.columns                    { width: 220px; max-width: ; height: auto; max-height: ; background-color: #2a2a2a; margin-bottom: 20px;min-height: 10px; background-color:;}
    .container .five.columns                    { width: 280px; }
    .container .six.columns                     { width: 340px; }
    .container .seven.columns                   { width: 400px; }
    .container .eight.columns                   { width: 460px; }
    .container .nine.columns                    { width: 520px; }
    .container .ten.columns                     { width: 580px; }
    .container .eleven.columns                  { width: 640px; }
    .container .twelve.columns                  { width: 700px; margin-top: -10px;}
    .container .thirteen.columns                { width: 760px; margin-top: -10px;}
    .container .boxteen.columns                { width: 820px; }
    .container .fifteen.columns                 { width: 880px; }
    .container .sixteen.columns                 { width: 940px; }

    .container .one-third.column                { width: 300px; }
    .container .two-thirds.column               { width: 620px; margin-top: -10px;}

    /* Offsets */
    .container .offset-by-one                   { padding-left: 60px;  }
    .container .offset-by-two                   { padding-left: 120px; }
    .container .offset-by-three                 { padding-left: 180px; }
    .container .offset-by-box                  { padding-left: 240px; }
    .container .offset-by-five                  { padding-left: 300px; }
    .container .offset-by-six                   { padding-left: 360px; }
    .container .offset-by-seven                 { padding-left: 420px; }
    .container .offset-by-eight                 { padding-left: 480px; }
    .container .offset-by-nine                  { padding-left: 540px; }
    .container .offset-by-ten                   { padding-left: 600px; }
    .container .offset-by-eleven                { padding-left: 660px; }
    .container .offset-by-twelve                { padding-left: 720px; }
    .container .offset-by-thirteen              { padding-left: 780px; }
    .container .offset-by-boxteen              { padding-left: 840px; }
    .container .offset-by-fifteen               { padding-left: 900px; }

    .box {
        background-repeat: no-repeat;
        background-size: 100% auto;
        background-color: #fff !important;
        display: inline-block;
        
        position: relative;
        /*border: 1px solid #ddd;*/
        
        border-top: 1px solid #ddd;
        border-left: 1px solid #ddd;
        border-right: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        -webkit-border-radius: 5px ;
        -moz-border-radius: 5px ;
        border-radius: 5px ;
        -webkit-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        -moz-box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        box-shadow: 2px 3px 10px -2px rgba(221,221,221,1);
        overflow: hidden !important;
        
    }


   .box:hover{
        /*border: 1px solid #2a2a2a;*/
        opacity: 75%;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;

   }


/* #Tablet (Portrait)
================================================== */

    /* Note: Design for a width of 768px */

    @media only screen and (min-width: 788px) and (max-width: 979px) {
        .container                                  { width: 768px; }
        .container .column,
        .container .columns                         { margin-left: 10px; margin-right: 10px;  }
        .column.alpha, .columns.alpha               { margin-left: 0; margin-right: 10px; }
        .column.omega, .columns.omega               { margin-right: 0; margin-left: 10px; }
        .alpha.omega                                { margin-left: 0; margin-right: 0; }

        .container .one.column,
        .container .one.columns                     { width: 28px; }
        .container .two.columns                     { width: 76px; }
        .container .three.columns                   { width: 124px; }
        .container .four.columns                    { width: 172px; }
        .container .box.columns                    { width: 236px;}
        .container .five.columns                    { width: 220px; }
        .container .six.columns                     { width: 268px; }
        .container .seven.columns                   { width: 316px; }
        .container .eight.columns                   { width: 364px; }
        .container .nine.columns                    { width: 412px; }
        .container .ten.columns                     { width: 460px; }
        .container .eleven.columns                  { width: 508px; }
        .container .twelve.columns                  { width: 556px; }
        .container .thirteen.columns                { width: 604px; }
        .container .boxteen.columns                { width: 652px; }
        .container .fifteen.columns                 { width: 700px; }
        .container .sixteen.columns                 { width: 748px; }

        .container .one-third.column                { width: 236px; }
        .container .two-thirds.column               { width: 492px; float: left;}

        /* Offsets */
        .container .offset-by-one                   { padding-left: 48px; }
        .container .offset-by-two                   { padding-left: 96px; }
        .container .offset-by-three                 { padding-left: 144px; }
        .container .offset-by-box                  { padding-left: 192px; }
        .container .offset-by-five                  { padding-left: 240px; }
        .container .offset-by-six                   { padding-left: 288px; }
        .container .offset-by-seven                 { padding-left: 336px; }
        .container .offset-by-eight                 { padding-left: 384px; }
        .container .offset-by-nine                  { padding-left: 432px; }
        .container .offset-by-ten                   { padding-left: 480px; }
        .container .offset-by-eleven                { padding-left: 528px; }
        .container .offset-by-twelve                { padding-left: 576px; }
        .container .offset-by-thirteen              { padding-left: 624px; }
        .container .offset-by-boxteen              { padding-left: 672px; }
        .container .offset-by-fifteen               { padding-left: 720px; }

        .box {
            background-repeat: no-repeat;
            background-size: 100% auto;
            background-color: #2a2a2a;
        }
    }


/*  #Mobile (Portrait)
================================================== */

    /* Note: Design for a width of 320px */

    @media only screen and (max-width: 787px) {
        .container { width: 300px;}
        .container .columns,
        .container .column { margin: 0; }

        
        .container .box.columns { width: 300px ;}

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .boxteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column  { width: 300px; }

        /* Offsets */
        .container .offset-by-one,
        .container .offset-by-two,
        .container .offset-by-three,
        .container .four.columns,
        .container .offset-by-box,
        .container .offset-by-five,
        .container .offset-by-six,
        .container .offset-by-seven,
        .container .offset-by-eight,
        .container .offset-by-nine,
        .container .offset-by-ten,
        .container .offset-by-eleven,
        .container .offset-by-twelve,
        .container .offset-by-thirteen,
        .container .offset-by-boxteen,
        .container .offset-by-fifteen { padding-left: 0; }

        .box {
            background-repeat: no-repeat;
            background-size: auto 100%;
            background-color: #2a2a2a;
        }

    }


/* #Mobile (Landscape)
================================================== */

    /* Note: Design for a width of 480px */

    @media only screen and (min-width: 480px) and (max-width: 787px) {
        .container { width: 420px; }
        .container .columns,
        .container .columns                         { margin-left: 10px; margin-right: 10px;  }
        .column.alpha, .columns.alpha               { margin-left: 0; margin-right: 0px; }
        .column.omega, .columns.omega               { margin-right: 0; margin-left: 0px; }
        .alpha.omega                                { margin-left: 0; margin-right: 0; }

        
        .container .box.columns { width: 190px;}

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .boxteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column { width: 400px; margin-left: 10px;}

        .box {
            background-repeat: no-repeat;
            background-size: 100% auto;
            background-color: #2a2a2a;
        }
    }


/* #Clearing
================================================== */

    /* Self Clearing Goodness */
    .container:after { content: "\0020"; display: block; height: 0; clear: both; visibility: hidden; }

    /* Use clearfix class on parent to clear nested columns,
    or wrap each row of columns in a <div class="row"> */
    .clearfix:before,
    .clearfix:after,
    .row:before,
    .row:after {
      content: '\0020';
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0; }
    .row:after,
    .clearfix:after {
      clear: both; }
    .row,
    .clearfix {
      zoom: 1; }

    /* You can also use a <br class="clear" /> to clear columns */
    .clear {
      clear: both;
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0;
    }
